Package net.shibboleth.idp.attribute.resolver.dc.rdbms

# Interface ExecutableStatement

All Superinterfaces:
  `ExecutableSearch`

public interface ExecutableStatement extends ExecutableSearch
A statement that can be executed against a database to fetch results.

## Method Summary

Modifier and Type
Method
Description
`ResultSet`
`execute(Connection connection)`
Executes the statement and returns the results.

### Methods inherited from interface net.shibboleth.idp.attribute.resolver.dc.ExecutableSearch

`getResultCacheKey`

## Method Details

### execute

@Nonnull ResultSet execute(@Nonnull Connection connection) throws SQLException
Executes the statement and returns the results. This method MUST NOT close the given `Connection`.

Parameters:
  `connection` - ready-to-use connection to the database
Returns:
  the result of the executed statement
Throws:
  `SQLException` - thrown if there is a problem executing the statement